Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

## Class MaxResultBufferCounter

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.MaxResultBufferCounter

    public class MaxResultBufferCounter
    extends Object

Implementation of ICounter for 'maxResultBuffer' property.

### Constructor Summary

Constructors
`MaxResultBufferCounter​(long maxResultBuffer)` Creates a MaxResultBufferCounter with the given max results buffer

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `increaseCounter​(long bytes)`
`void` `resetCounter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxResultBufferCounter

    public MaxResultBufferCounter​(long maxResultBuffer)

Creates a MaxResultBufferCounter with the given max results buffer

Parameters:
  `maxResultBuffer` - max result buffer

### Method Detail

#### increaseCounter

    public void increaseCounter​(long bytes)
                         throws SQLServerException

Throws:
  `SQLServerException`

#### resetCounter

    public void resetCounter()